<?xml version="1.0" encoding="utf-8"?>
<layout>

    <data>

        <variable
            name="onClickEvent"
            type="android.view.View.OnClickListener" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_photo"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="13dp"
                android:paddingRight="@dimen/margin_15"
                android:paddingBottom="13dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="头像"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <Space
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <ImageView
                    android:id="@+id/iv_photo"
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:src="@mipmap/default_head_img" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:src="@mipmap/right_arrow" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="10dp"
                android:background="@color/background" />

            <LinearLayout
                android:id="@+id/ll_nick_name"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:onClick="@{onClickEvent}">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:text="昵称"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <Space
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_nick_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:hint="未设置"
                    android:textColor="@color/black_66_color"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:layout_marginRight="@dimen/margin_15"
                    android:src="@mipmap/right_arrow" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <RelativeLayout
                android:id="@+id/ll_signature"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:onClick="@{onClickEvent}"
                android:paddingTop="@dimen/margin_12"
                android:paddingBottom="@dimen/margin_12">

                <TextView
                    android:id="@+id/tv_signature_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:text="个性签名"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <ImageView
                    android:id="@+id/iv_signature_arrow"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:layout_marginRight="@dimen/margin_15"
                    android:src="@mipmap/right_arrow" />

                <TextView
                    android:id="@+id/tv_signature"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="90dp"
                    android:layout_toLeftOf="@id/iv_signature_arrow"
                    android:gravity="right"
                    android:hint="未设置"
                    android:singleLine="true"
                    android:textColor="@color/black_66_color"
                    android:textSize="15sp" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <LinearLayout
                android:id="@+id/ll_qr_code"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:onClick="@{onClickEvent}">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:text="我的二维码"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <Space
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:src="@mipmap/ic_qr_code" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:layout_marginRight="@dimen/margin_15"
                    android:src="@mipmap/right_arrow" />
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <LinearLayout
                android:id="@+id/ll_business_card"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:onClick="@{onClickEvent}">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:text="我的名片"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <Space
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:layout_marginRight="@dimen/margin_15"
                    android:src="@mipmap/right_arrow" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <LinearLayout
                android:id="@+id/ll_city"
                android:layout_width="match_parent"
                android:layout_height="56dp"
                android:gravity="center_vertical"
                android:onClick="@{onClickEvent}">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:text="城市"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <Space
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/tv_city"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:hint="未设置"
                    android:textColor="@color/black_66_color"
                    android:textSize="15sp" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_15"
                    android:layout_marginRight="@dimen/margin_15"
                    android:src="@mipmap/right_arrow" />
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
</layout>